[arch-commits] Commit in gxine/repos (3 files)

Alexander Fehr alexanderf at archlinux.org
Tue Apr 7 18:02:50 EDT 2009


    Date: Tuesday, April 7, 2009 @ 18:02:50
  Author: alexanderf
Revision: 34196

Merged revisions 34195 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/gxine/trunk

........
  r34195 | alexanderf | 2009-04-08 00:02:08 +0200 (Mi, 08 Apr 2009) | 1 line
  
  upgpkg: gxine 0.5.904-1
........

Modified:
  gxine/repos/extra-i686/	(properties)
  gxine/repos/extra-i686/PKGBUILD
Deleted:
  gxine/repos/extra-i686/ChangeLog

-----------+
 ChangeLog |   21 ---------------------
 PKGBUILD  |   16 ++++++++--------
 2 files changed, 8 insertions(+), 29 deletions(-)


Property changes on: gxine/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gxine/trunk:1-20726
   + /gxine/trunk:1-34195

Deleted: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-04-07 22:02:08 UTC (rev 34195)
+++ extra-i686/ChangeLog	2009-04-07 22:02:50 UTC (rev 34196)
@@ -1,21 +0,0 @@
-2008-11-26  Alexander Fehr  <pizzapunk gmail com>
-
-  * gxine-0.5.903-2:
-  Rebuilt against latest libxaw.
-
-2008-07-17  Alexander Fehr  <pizzapunk gmail com>
-
-  * gxine-0.5.903-1:
-  New upstream release.
-  New maintainer.
-  Added license.
-  Added HAL support.
-  Added dependencies on desktop-file-utils and hicolor-icon-theme.
-  Added make and optional dependency on libxaw.
-  Changed download location to downloads.sourceforge.net.
-  Set idle-mode logo format to image.
-  Set VENDOR_PKG_VERSION.
-  Fixed browser plugin location.
-  Fixed man page location.
-  Added install file.
-  Added ChangeLog.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-07 22:02:08 UTC (rev 34195)
+++ extra-i686/PKGBUILD	2009-04-07 22:02:50 UTC (rev 34196)
@@ -2,11 +2,11 @@
 # Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=gxine
-pkgver=0.5.903
-pkgrel=2
+pkgver=0.5.904
+pkgrel=1
 pkgdesc="GTK+ frontend for xine"
 arch=('i686' 'x86_64')
-url="http://xinehq.de/"
+url="http://www.xine-project.org/"
 license=('GPL')
 depends=('xine-lib' 'gtk2' 'spidermonkey' 'hal' 'desktop-file-utils' 'hicolor-icon-theme')
 makedepends=('libxaw')
@@ -14,17 +14,17 @@
 options=('!libtool')
 install=gxine.install
 source=(http://downloads.sourceforge.net/xine/gxine-$pkgver.tar.bz2)
-md5sums=('3878ffb159fa5aca093617dab4924e6d')
+md5sums=('00b10fac6ddfc211a8ef217174feb09b')
 
 build() {
-  cd "$srcdir/gxine-$pkgver"
+  cd $srcdir/gxine-$pkgver
 
   ./configure --prefix=/usr --sysconfdir=/etc --disable-lirc --disable-integration-wizard \
     --with-spidermonkey=/usr/include/js --with-logo-format=image \
     VENDOR_PKG_VERSION="$pkgver-$pkgrel; Arch Linux" || return 1
   make || return 1
-  make DESTDIR="$pkgdir" install || return 1
+  make DESTDIR=$pkgdir install || return 1
 
-  mkdir -p "$pkgdir/usr/lib/mozilla/plugins" || return 1
-  ln -s /usr/lib/gxine/gxineplugin.so "$pkgdir/usr/lib/mozilla/plugins" || return 1
+  install -d -m755 $pkgdir/usr/lib/mozilla/plugins || return 1
+  ln -s /usr/lib/gxine/gxineplugin.so $pkgdir/usr/lib/mozilla/plugins || return 1
 }



More information about the arch-commits mailing list